Package io.dapr.client.domain

# Enum UnlockResponseStatus

java.lang.Object
java.lang.Enum<UnlockResponseStatus>
io.dapr.client.domain.UnlockResponseStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<UnlockResponseStatus>`

public enum UnlockResponseStatus extends Enum<UnlockResponseStatus>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INTERNAL_ERROR`
Internal error.
`LOCK_BELONG_TO_OTHERS`
The desired target does not match.
`LOCK_UNEXIST`
The target you want to unlock does not exist.
`SUCCESS`
The unlock operation succeeded.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getCode()`
`static UnlockResponseStatus`
`valueOf(int code)`
Convert the status code to a UnlockResponseStatus object.
`static UnlockResponseStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UnlockResponseStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final UnlockResponseStatus SUCCESS
The unlock operation succeeded.

### LOCK_UNEXIST

public static final UnlockResponseStatus LOCK_UNEXIST
The target you want to unlock does not exist.

### LOCK_BELONG_TO_OTHERS

public static final UnlockResponseStatus LOCK_BELONG_TO_OTHERS
The desired target does not match.

### INTERNAL_ERROR

public static final UnlockResponseStatus INTERNAL_ERROR
Internal error.

## Method Details

### values

public static UnlockResponseStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UnlockResponseStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public Integer getCode()

### valueOf

public static UnlockResponseStatus valueOf(int code)
Convert the status code to a UnlockResponseStatus object.

Parameters:
  `code` - status code
Returns:
  UnlockResponseStatus